"Zoom to layer" doesn't work as expected on WFS dataprovider when you have af provide feature 

filter applied to the datasource
Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WFS

Affected QGIS version:3.4.4 Regression?: No

Operating System: windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 28930

Description

If you have a wfs based datasource and applies a "provider feature filter" to the layer, the "zoom to layer" function only works the first time

by zooming to the extend of filtered data. 

After that, the function will zoom to the extend of the entire, unfiltered layer

Steps to reproduce:

1. Open the project "allesandro2.qgs" project

2. Right-click on the layer "v_greg_flader with filter" and choose "zoom to layer" (The v_greg_flader with filter" has a data provider filter

applied). The mapper will zoom to the correct extend of the filtered data.

3. Now zoom out

4. Repeat no. 2. The "Zoom to layer" function now zooms to the extend of the entire, unfiltered layer.

Related issues:

Related to QGIS Application - Bug report # 20742: Zoom to Layer does not resp... Closed 2018-12-06

History

#1 - 2019-01-27 10:34 PM - Bo Thomsen

This might be same problem reported in #20742

#2 - 2019-01-28 10:53 AM - Giovanni Manghi

- Related to Bug report #20742: Zoom to Layer does not respond to filtered WFS added

#3 - 2019-02-06 10:26 PM - Even Rouault

- Resolution set to duplicate

- Status changed from Open to Closed

Duplicate of https://issues.qgis.org/issues/20742
